org.springframework.batch.sample.domain.order

## Class Order

- java.lang.Object
- - org.springframework.batch.sample.domain.order.Order

-     public class Order
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LINE_ID_FOOTER`
    `static java.lang.String` | `LINE_ID_HEADER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Order()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `BillingInfo` | `getBilling()`
    `Address` | `getBillingAddress()`
    `Customer` | `getCustomer()`
    `java.util.List<LineItem>` | `getLineItems()`
    `java.util.Date` | `getOrderDate()`
    `long` | `getOrderId()`
    `ShippingInfo` | `getShipping()`
    `Address` | `getShippingAddress()`
    `int` | `getTotalItems()`
    `int` | `getTotalLines()`
    `java.math.BigDecimal` | `getTotalPrice()`
    `int` | `hashCode()`
    `void` | `setBilling(BillingInfo billing)`
    `void` | `setBillingAddress(Address billingAddress)`
    `void` | `setCustomer(Customer customer)`
    `void` | `setLineItems(java.util.List<LineItem> lineItems)`
    `void` | `setOrderDate(java.util.Date orderDate)`
    `void` | `setOrderId(long orderId)`
    `void` | `setShipping(ShippingInfo shipping)`
    `void` | `setShippingAddress(Address shippingAddress)`
    `void` | `setTotalItems(int totalItems)`
    `void` | `setTotalLines(int totalLines)`
    `void` | `setTotalPrice(java.math.BigDecimal totalPrice)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LINE_ID_HEADER

          public static final java.lang.String LINE_ID_HEADER

      See Also:
        Constant Field Values

    - #### LINE_ID_FOOTER

          public static final java.lang.String LINE_ID_FOOTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Order

          public Order()

  - ### Method Detail

    - #### getBilling

          public BillingInfo getBilling()

    - #### setBilling

          public void setBilling(BillingInfo billing)

    - #### getBillingAddress

          public Address getBillingAddress()

    - #### setBillingAddress

          public void setBillingAddress(Address billingAddress)

    - #### getCustomer

          public Customer getCustomer()

    - #### setCustomer

          public void setCustomer(Customer customer)

    - #### getLineItems

          public java.util.List<LineItem> getLineItems()

    - #### setLineItems

          public void setLineItems(java.util.List<LineItem> lineItems)

    - #### getOrderDate

          public java.util.Date getOrderDate()

    - #### setOrderDate

          public void setOrderDate(java.util.Date orderDate)

    - #### getOrderId

          public long getOrderId()

    - #### setOrderId

          public void setOrderId(long orderId)

    - #### getShipping

          public ShippingInfo getShipping()

    - #### setShipping

          public void setShipping(ShippingInfo shipping)

    - #### getShippingAddress

          public Address getShippingAddress()

    - #### setShippingAddress

          public void setShippingAddress(Address shippingAddress)

    - #### getTotalPrice

          public java.math.BigDecimal getTotalPrice()

    - #### setTotalPrice

          public void setTotalPrice(java.math.BigDecimal totalPrice)

    - #### getTotalItems

          public int getTotalItems()

    - #### setTotalItems

          public void setTotalItems(int totalItems)

    - #### getTotalLines

          public int getTotalLines()

    - #### setTotalLines

          public void setTotalLines(int totalLines)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`